package org.dromara.ygpassport.domain.dto;

import lombok.Data;
import org.dromara.ygpassport.domain.vo.StudentListVo;

import java.io.Serial;

/**
 * 学生实体
 */
@Data
public class WxStudentDto {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 姓名
     */
    private String stuName;

    /**
     * 学号
     */
    private String stuNo;

    /**
     * 专业
     */
    private Long stuMajor;

    /**
     * 培养层次
     */
    private Long stuLevels;

    /**
     * 院系
     */
    private Long faculties;

    /**
     * 性别
     */
    private Long stuSex;

    /**
     * 班级
     */
    private String stuClass;

    /**
     * 年级
     */
    private String stuGrade;

    /**
     * 政治面貌
     */
    private String policyStatus;

    /**
     * 照片路径
     */
    private String imagePath;

    public WxStudentDto() {
    }

    public WxStudentDto(StudentListVo studentListVo) {
        this.id = studentListVo.getId();
        this.stuName = studentListVo.getStuName();
        this.stuNo = studentListVo.getStuNo();
        this.stuMajor = studentListVo.getStuMajor();
        this.stuLevels = studentListVo.getStuLevels();
        this.faculties = studentListVo.getFaculties();
        this.stuSex = studentListVo.getStuSex();
        this.stuClass = studentListVo.getStuClass();
        this.stuGrade = studentListVo.getStuGrade();
        this.policyStatus = studentListVo.getPolicyStatus();
        this.imagePath = studentListVo.getImagePath();
    }
}
